#!/usr/bin/env bash
set -xeuo pipefail
cd "$(git rev-parse --show-toplevel)"

hugo --cleanDestinationDir --printPathWarnings --panicOnWarning --log

cd public

find . \
    -name '*.html' -or \
    -name '*.xml' -or \
    -name '*.txt' -or \
    -name '*.css' -or \
    -name '*.map' | parallel --eta "zopfli {} && brotli {}"
